
#ifndef __GECKOTIP_H__
#define __GECKOTIP_H__

#define WIN32_LEAN_AND_MEAN		// Exclude rarely-used stuff from Windows headers
#include <windows.h>
#include <oleacc.h>
#include "InputScope.h"
#include <stdio.h>

#include "igeckotip.h"

//#define XPCOM_GLUE
#define MOZILLA_STRICT_API
#define XP_WIN
#include "nsIGenericFactory.h"
#include <nsCOMPtr.h>

typedef int (__stdcall *SetInputScopes_t) 
	(
	HWND hwnd,  
	const int *pInputScopes,
	unsigned  cInputScopes,
	WCHAR  **ppszPhraseList,
	unsigned  cPhrases,
	WCHAR  *pszRegExp,
	WCHAR  *pszSRGS
	);

typedef int (__stdcall *SetInputScope_t) 
	(
	HWND hwnd,  
	int inputscope
	);

class dgGeckoTip : public iGeckotip
{
public:
	NS_DECL_ISUPPORTS;
	NS_DECL_IGECKOTIP;

	dgGeckoTip(){}

private:
	~dgGeckoTip(){}

};

#endif 
